Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Bunny adapter now requires bunny >= 0.6.0 due to change in bunny 0.6.0.

  • Loading branch information...
commit 10fef6943be1ba9fee4bc4622284bb7c428b02c4 1 parent 2069a9f
@caius caius authored
View
1  Manifest
@@ -29,3 +29,4 @@ spec/warren/queue_spec.rb
spec/warren/warren_spec.rb
tasks/rdoc.rake
tasks/rspec.rake
+warren.gemspec
View
2  Rakefile
@@ -13,7 +13,7 @@ Echoe.new('warren') do | gem |
gem.email = 'support@brightbox.co.uk'
gem.summary = 'Library for pushing messages onto and off RabbitMQ queues'
gem.url = 'http://github.com/brightbox/warren'
- gem.dependencies = [["amqp", '>= 0.6.0'], ["bunny", ">= 0.4.3"]]
+ gem.dependencies = [["amqp", '>= 0.6.0'], ["bunny", ">= 0.6.0"]]
end
desc "Generates the manifest and the gemspec"
View
1  lib/warren/adapters/bunny_adapter.rb
@@ -1,4 +1,5 @@
require "rubygems"
+gem "bunny", ">= 0.6.0"
require "bunny"
module Warren
View
8 warren.gemspec
@@ -6,7 +6,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
s.authors = ["Caius Durling, David Smalley"]
- s.date = %q{2009-11-09}
+ s.date = %q{2009-12-21}
s.description = %q{Library for pushing messages onto and off RabbitMQ queues}
s.email = %q{support@brightbox.co.uk}
s.extra_rdoc_files = ["CHANGELOG", "LICENSE", "lib/warren.rb", "lib/warren/adapters/amqp_adapter.rb", "lib/warren/adapters/bunny_adapter.rb", "lib/warren/adapters/dummy_adapter.rb", "lib/warren/adapters/test_adapter.rb", "lib/warren/connection.rb", "lib/warren/filters/shared_secret.rb", "lib/warren/filters/yaml.rb", "lib/warren/message_filter.rb", "lib/warren/queue.rb", "tasks/rdoc.rake", "tasks/rspec.rake"]
@@ -24,13 +24,13 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<amqp>, [">= 0.6.0"])
- s.add_runtime_dependency(%q<bunny>, [">= 0.4.3"])
+ s.add_runtime_dependency(%q<bunny>, [">= 0.6.0"])
else
s.add_dependency(%q<amqp>, [">= 0.6.0"])
- s.add_dependency(%q<bunny>, [">= 0.4.3"])
+ s.add_dependency(%q<bunny>, [">= 0.6.0"])
end
else
s.add_dependency(%q<amqp>, [">= 0.6.0"])
- s.add_dependency(%q<bunny>, [">= 0.4.3"])
+ s.add_dependency(%q<bunny>, [">= 0.6.0"])
end
end

0 comments on commit 10fef69

Please sign in to comment.
Something went wrong with that request. Please try again.